Game Develop Core: gd::Clipboard Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
gd::Clipboard Class Reference

Singleton class which can be used by the IDE and the editors to access to the clipboard. More...

`#include <Clipboard.h>`

## Public Member Functions

void | SetObject (const gd::Object *object)
gd::Object * | GetObject ()
bool | HasObject ()
void | ForgetObject ()
void | SetEvents (const std::vector< gd::BaseEventSPtr > &event)
std::vector< gd::BaseEventSPtr > | GetEvents ()
bool | HasEvents ()
void | SetLayout (const gd::Layout *layout)
gd::Layout * | GetLayout ()
bool | HasLayout ()
void | SetExternalEvents (const gd::ExternalEvents *events)
gd::ExternalEvents * | GetExternalEvents ()
bool | HasExternalEvents ()
void | SetExternalLayout (const gd::ExternalLayout *layout)
gd::ExternalLayout * | GetExternalLayout ()
bool | HasExternalLayout ()
void | SetConditions (const std::vector< gd::Instruction > &conditions)
void | SetActions (const std::vector< gd::Instruction > &actions)
bool | HasCondition ()
bool | HasAction ()
std::vector< gd::Instruction > | GetInstructions () const
void | SetObjectGroup (const gd::ObjectGroup &group)
gd::ObjectGroup | GetObjectGroup ()
bool | HasObjectGroup ()
void | ForgetObjectGroup ()
void | SetInstances (std::vector< boost::shared_ptr< InitialInstance > > instances)
std::vector< boost::shared_ptr < InitialInstance > > | GetInstances ()
bool | HasInstances ()

## Static Public Member Functions

static Clipboard * | GetInstance ()
static void | DestroySingleton ()

## Detailed Description

Singleton class which can be used by the IDE and the editors to access to the clipboard.

The documentation for this class was generated from the following files:

- Clipboard.h
- Clipboard.cpp